package com.ss.android.ugc.aweme.ml.infra;

import X.3ds;
import X.3h1;
import X.RQw;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;

public final class SmartRegressCalculateServiceDefault extends SmartRegressCalculateService {
    static {
        Covode.recordClassIndex(93044);
    }

    public final void calculate(String str, RQw rQw, 3ds r3, 3h1 r4) {
    }

    public final void calculateWithAweme(String str, Aweme aweme, 3ds r3, 3h1 r4) {
    }

    public final void calculateWithAweme(String str, Aweme aweme, 3h1 r3) {
    }

    public final void configSceneModel(String str, SmartRegressionSceneConfig smartRegressionSceneConfig) {
    }

    public final boolean enable(String str) {
        return false;
    }

    public final void ensureEnvAvailable(String str) {
    }

    public final boolean isEnvReady(String str) {
        return false;
    }

    public final float lastCalculateResult(String str, float f) {
        return f;
    }
}
